const injectSecret = async ({
  database,
  escapeId,
  escape,
  secretsTableName
}, {
  idx,
  id,
  secret
}) => {
  const tableNameAsId = escapeId(secretsTableName);
  await database.exec(`INSERT INTO ${tableNameAsId}(
      "idx",
      "id",
      "secret"
    ) VALUES(
      ${+idx},
      ${escape(id)},
      ${secret != null ? escape(secret) : 'NULL'}
    )`);
};

export default injectSecret;
//# sourceMappingURL=inject-secret.js.map